Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Interface Path

All Superinterfaces:
  Serializable, Value

All Known Subinterfaces:
  JDBCPath

All Known Implementing Classes:
  CandidatePath, ConstPath, PCPath, ValuePath

    public interface Path

extends Value

A path represents a traversal into fields of a candidate object. Equivalent paths should compare equal.

Author:
  Abe White

Method Summary
`void` | `get(FieldMetaData field, boolean nullTraversal)` Traverse into the given field of the current object, and update the current object to that field value.
`void` | `get(FieldMetaData fmd, XMLMetaData meta)` Traverse into the given field that maps to xml column, and update the current object to that field value.
`void` | `get(XMLMetaData meta, String name)` Traverse into the gevin xpath name of the current object, and update the current object to that xpath field.
`String` | `getCorrelationVar()`
`String` | `getSchemaAlias()`
`XMLMetaData` | `getXmlMapping()` Return the current XPath's xmlmapping metadata.
`FieldMetaData` | `last()` Return the last field in the path, or null if the path does not not contain a final field.
`void` | `setSchemaAlias(String schemaAlias)` Set the schema alias (the identification variable) this path is begin with.
`void` | `setSubqueryContext(Context context, String correlationVar)`

Methods inherited from interface org.apache.openjpa.kernel.exps.Value
`acceptVisit, getAlias, getMetaData, getName, getPath, getSelectAs, getType, isAggregate, isVariable, isXPath, setAlias, setImplicitType, setMetaData`

Method Detail

### get

    void get(FieldMetaData field,
             boolean nullTraversal)

  Traverse into the given field of the current object, and update the current object to that field value.

  Parameters:
    `nullTraversal` - if true, allow traversal through a null field

### last

    FieldMetaData last()

  Return the last field in the path, or null if the path does not not contain a final field.

### get

    void get(FieldMetaData fmd,
             XMLMetaData meta)

  Traverse into the given field that maps to xml column, and update the current object to that field value.

  Parameters:
    `fmd` - field maps to xml column
    `meta` - associated xml mapping

### get

    void get(XMLMetaData meta,
             String name)

  Traverse into the gevin xpath name of the current object, and update the current object to that xpath field.

  Parameters:
    `meta` -
    `name` -

### getXmlMapping

    XMLMetaData getXmlMapping()

  Return the current XPath's xmlmapping metadata.

  Returns:
    Return xmlmapping

### setSchemaAlias

    void setSchemaAlias(String schemaAlias)

  Set the schema alias (the identification variable) this path is begin with.

  Parameters:
    `schemaAlias` -

### getSchemaAlias

    String getSchemaAlias()

### setSubqueryContext

    void setSubqueryContext(Context context,
                            String correlationVar)

### getCorrelationVar

    String getCorrelationVar()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.